using System;
using System.Windows.Forms;
using System.Collections;
using System.Text;
using Syncfusion.Windows.Forms.Tools;

namespace CustomDraw
{
    class CustomDockHost:DockHost 
    {
        public CustomDockHost(DockingManager manager, Control ctrl)
            : base(manager, ctrl)
        {

        }
        bool bCustomCaptionVisibility=true;
        public bool CustomCaptionVisibility
        {
            get
            {
                return bCustomCaptionVisibility;
            }
            set
            {
                bCustomCaptionVisibility = value;
                this.Invalidate();
            }
        }
        protected override void OnMouseUp(MouseEventArgs e)
        {
            base.OnMouseUp(e);
            this.Invalidate();
        }
        protected override CaptionPainter CreateCaptionPainter()
        {
           
            return new CustomCaptionPainter(this.dcInternal);
        }

     
    }
}
