using System;
using System.Collections;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.ComponentModel;
namespace CustomDraw
{
    
    public delegate void CaptionPaintEventHandler(object sender, PaintEventArgs  arg);
    public class CustomDockingManager:DockingManager 
    {
        public event EventHandler CustomButtonClicked;
       public event CaptionPaintEventHandler CaptionPaint;
       public  CustomDockingManager(IContainer ic):base(ic)
        {

        }
        protected override DockHost CreateDockHost(Control ctrl)
        {
            return new CustomDockHost(this, ctrl);
        }
        protected internal virtual void OnCustomButtonClicked()
        {
            if (CustomButtonClicked != null)
                CustomButtonClicked(this, EventArgs.Empty);
        }
        protected internal void OnCaptionPaint(PaintEventArgs cpe)
        {
            if (CaptionPaint != null)
            {
                CaptionPaint(this, cpe);
            }
        }
    }
}
